package com.gic.haoban.manage.web.vo.open;

import com.gic.haoban.manage.web.vo.MemberTagGroupVO;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class AddTaskDetailVO implements Serializable {

    /**id*/
    private Long addTaskId;
    /**企业id*/
    private String wxEnterpriseId;
    /**企业id*/
    private String enterpriseId;
    /**任务名称*/
    private String name;
    /**会员标签*/
    private String memberLabelId;
    private String memberLabelName ;
    private int memberLabelStatus ;

    private String applyMemberLabelId ;
    private String applyMemberLabelName ;
    private int applyMemberLabelStatus ;

    /**开始时间*/
    private java.util.Date startTime;
    /**结束时间*/
    private java.util.Date endTime;
    /**欢迎语*/
    private String welcomeId;
    /**（0：会员筛选， 1：会员分组）*/
    private int memberType;
    /**人群筛选条件（JSON）*/
    private String searchParams;
    /**1和专属无好友 2和所有无好友*/
    private int memberRule;
    private java.util.Date createTime;
    private java.util.Date updateTime;
    /**创建人*/
    private String creatorId;
    /**创建人*/
    private String creatorName;
    /**是否删除*/
    private int deleteFlag;
    /**状态*/
    private int statusFlag;
    /**申请数 */
    private int applyNum ;
    /**添加成功数 */
    private int addNum ;
    /** 人群id用于回显 */
    private String searchParamsId ;

    public String getApplyMemberLabelId() {
        return applyMemberLabelId;
    }

    public void setApplyMemberLabelId(String applyMemberLabelId) {
        this.applyMemberLabelId = applyMemberLabelId;
    }

    public String getApplyMemberLabelName() {
        return applyMemberLabelName;
    }

    public void setApplyMemberLabelName(String applyMemberLabelName) {
        this.applyMemberLabelName = applyMemberLabelName;
    }

    public int getApplyMemberLabelStatus() {
        return applyMemberLabelStatus;
    }

    public void setApplyMemberLabelStatus(int applyMemberLabelStatus) {
        this.applyMemberLabelStatus = applyMemberLabelStatus;
    }

    private List<MemberTagGroupVO> tagGroupList;

    public List<MemberTagGroupVO> getTagGroupList() {
        return tagGroupList;
    }

    public void setTagGroupList(List<MemberTagGroupVO> tagGroupList) {
        this.tagGroupList = tagGroupList;
    }

    public String getSearchParamsId() {
        return searchParamsId;
    }

    public void setSearchParamsId(String searchParamsId) {
        this.searchParamsId = searchParamsId;
    }

    public Long getAddTaskId() {
        return addTaskId;
    }

    public void setAddTaskId(Long addTaskId) {
        this.addTaskId = addTaskId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMemberLabelId() {
        return memberLabelId;
    }

    public void setMemberLabelId(String memberLabelId) {
        this.memberLabelId = memberLabelId;
    }

    public String getMemberLabelName() {
        return memberLabelName;
    }

    public void setMemberLabelName(String memberLabelName) {
        this.memberLabelName = memberLabelName;
    }

    public int getMemberLabelStatus() {
        return memberLabelStatus;
    }

    public void setMemberLabelStatus(int memberLabelStatus) {
        this.memberLabelStatus = memberLabelStatus;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getWelcomeId() {
        return welcomeId;
    }

    public void setWelcomeId(String welcomeId) {
        this.welcomeId = welcomeId;
    }

    public int getMemberType() {
        return memberType;
    }

    public void setMemberType(int memberType) {
        this.memberType = memberType;
    }

    public String getSearchParams() {
        return searchParams;
    }

    public void setSearchParams(String searchParams) {
        this.searchParams = searchParams;
    }

    public int getMemberRule() {
        return memberRule;
    }

    public void setMemberRule(int memberRule) {
        this.memberRule = memberRule;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(String creatorId) {
        this.creatorId = creatorId;
    }

    public String getCreatorName() {
        return creatorName;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public int getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(int deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    public int getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(int statusFlag) {
        this.statusFlag = statusFlag;
    }

    public int getApplyNum() {
        return applyNum;
    }

    public void setApplyNum(int applyNum) {
        this.applyNum = applyNum;
    }

    public int getAddNum() {
        return addNum;
    }

    public void setAddNum(int addNum) {
        this.addNum = addNum;
    }
}
